Fixed the init script
This commit is contained in:
parent
30ea4b15e2
commit
0568402099
120
mcstrans-0.2.3-init.patch
Normal file
120
mcstrans-0.2.3-init.patch
Normal file
@ -0,0 +1,120 @@
|
|||||||
|
diff -ur mcstrans-0.2.3.orig/src/mcstrans.init mcstrans-0.2.3/src/mcstrans.init
|
||||||
|
--- mcstrans-0.2.3.orig/src/mcstrans.init 2007-08-24 09:17:43.000000000 -0400
|
||||||
|
+++ mcstrans-0.2.3/src/mcstrans.init 2007-08-24 10:14:26.000000000 -0400
|
||||||
|
@@ -19,65 +19,71 @@
|
||||||
|
# 7 - program is not running
|
||||||
|
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
+prog="mcstransd"
|
||||||
|
|
||||||
|
# Source function library.
|
||||||
|
. /etc/init.d/functions
|
||||||
|
|
||||||
|
+# Allow anyone to run status
|
||||||
|
+if [ "$1" = "status" ] ; then
|
||||||
|
+ status $prog
|
||||||
|
+ RETVAL=$?
|
||||||
|
+ exit $RETVAL
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
# Check that we are root ... so non-root users stop here
|
||||||
|
-test `id -u` = 0 || exit 4
|
||||||
|
+test $EUID = 0 || exit 4
|
||||||
|
|
||||||
|
+# If selinux is not enabled, return success
|
||||||
|
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
|
||||||
|
|
||||||
|
-test -x /sbin/mcstransd || exit 5
|
||||||
|
-
|
||||||
|
RETVAL=0
|
||||||
|
|
||||||
|
-prog="mcstransd"
|
||||||
|
-
|
||||||
|
start(){
|
||||||
|
- echo -n $"Starting $prog: "
|
||||||
|
- if status $prog > /dev/null; then
|
||||||
|
- echo -n $"$prog: already running"
|
||||||
|
- failure
|
||||||
|
+ test -x /sbin/mcstransd || exit 5
|
||||||
|
+ echo -n $"Starting $prog: "
|
||||||
|
+ if status $prog > /dev/null; then
|
||||||
|
+ echo -n $"$prog: already running"
|
||||||
|
+ failure
|
||||||
|
+ echo
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ unset HOME MAIL USER USERNAME
|
||||||
|
+ daemon $prog "$EXTRAOPTIONS"
|
||||||
|
+ RETVAL=$?
|
||||||
|
echo
|
||||||
|
- return 1
|
||||||
|
- fi
|
||||||
|
-
|
||||||
|
- unset HOME MAIL USER USERNAME
|
||||||
|
- daemon $prog "$EXTRAOPTIONS"
|
||||||
|
- RETVAL=$?
|
||||||
|
- echo
|
||||||
|
- if test $RETVAL = 0 ; then
|
||||||
|
- touch /var/lock/subsys/mcstrans
|
||||||
|
- fi
|
||||||
|
- return $RETVAL
|
||||||
|
+ if test $RETVAL = 0 ; then
|
||||||
|
+ touch /var/lock/subsys/mcstrans
|
||||||
|
+ fi
|
||||||
|
+ return $RETVAL
|
||||||
|
}
|
||||||
|
|
||||||
|
stop(){
|
||||||
|
- echo -n $"Stopping $prog: "
|
||||||
|
- killproc $prog
|
||||||
|
- RETVAL=$?
|
||||||
|
- echo
|
||||||
|
- rm -f /var/lock/subsys/mcstrans
|
||||||
|
- return $RETVAL
|
||||||
|
+ echo -n $"Stopping $prog: "
|
||||||
|
+ killproc $prog
|
||||||
|
+ RETVAL=$?
|
||||||
|
+ echo
|
||||||
|
+ rm -f /var/lock/subsys/mcstrans
|
||||||
|
+ return $RETVAL
|
||||||
|
}
|
||||||
|
|
||||||
|
reload(){
|
||||||
|
- echo -n $"Reloading configuration: "
|
||||||
|
- killproc $prog -HUP
|
||||||
|
- RETVAL=$?
|
||||||
|
- echo
|
||||||
|
- return $RETVAL
|
||||||
|
+ echo -n $"Reloading configuration: "
|
||||||
|
+ killproc $prog -HUP
|
||||||
|
+ RETVAL=$?
|
||||||
|
+ echo
|
||||||
|
+ return $RETVAL
|
||||||
|
}
|
||||||
|
|
||||||
|
restart(){
|
||||||
|
- stop
|
||||||
|
- start
|
||||||
|
+ stop
|
||||||
|
+ start
|
||||||
|
}
|
||||||
|
|
||||||
|
condrestart(){
|
||||||
|
- [ -e /var/lock/subsys/mcstrans ] && restart
|
||||||
|
- return 0
|
||||||
|
+ [ -e /var/lock/subsys/mcstrans ] && restart
|
||||||
|
+ return 0
|
||||||
|
}
|
||||||
|
|
||||||
|
|
||||||
|
@@ -89,9 +95,6 @@
|
||||||
|
stop)
|
||||||
|
stop
|
||||||
|
;;
|
||||||
|
- status)
|
||||||
|
- status $prog
|
||||||
|
- ;;
|
||||||
|
restart)
|
||||||
|
restart
|
||||||
|
;;
|
@ -1,10 +1,11 @@
|
|||||||
Summary: SELinux Translation Daemon
|
Summary: SELinux Translation Daemon
|
||||||
Name: mcstrans
|
Name: mcstrans
|
||||||
Version: 0.2.6
|
Version: 0.2.6
|
||||||
Release: 1%{?dist}
|
Release: 2%{?dist}
|
||||||
License: GPL
|
License: GPL
|
||||||
Group: System Environment/Daemons
|
Group: System Environment/Daemons
|
||||||
Source: http://fedora.redhat.com/projects/%{name}-%{version}.tgz
|
Source: http://fedora.redhat.com/projects/%{name}-%{version}.tgz
|
||||||
|
Patch0: mcstrans-0.2.3-init.patch
|
||||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||||
BuildRequires: libselinux-devel >= 1.30.3-1
|
BuildRequires: libselinux-devel >= 1.30.3-1
|
||||||
BuildRequires: libcap-devel
|
BuildRequires: libcap-devel
|
||||||
@ -30,6 +31,7 @@ from internal representations to user defined representation.
|
|||||||
|
|
||||||
%prep
|
%prep
|
||||||
%setup -q
|
%setup -q
|
||||||
|
%patch0 -p1
|
||||||
|
|
||||||
%build
|
%build
|
||||||
make clean
|
make clean
|
||||||
@ -70,6 +72,9 @@ fi
|
|||||||
%{_sysconfdir}/rc.d/init.d/mcstrans
|
%{_sysconfdir}/rc.d/init.d/mcstrans
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Thu Oct 25 2007 Steve Conklin <sconklin@redhat.com> - 0.2.6-2
|
||||||
|
- Fixed some init script errors
|
||||||
|
|
||||||
* Thu Sep 13 2007 Dan Walsh <dwalsh@redhat.com> 0.2.6-1
|
* Thu Sep 13 2007 Dan Walsh <dwalsh@redhat.com> 0.2.6-1
|
||||||
- Check for max_categories and error out
|
- Check for max_categories and error out
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user